Printago API
GET
/v1/customizer/fonts/google
List Google Fonts catalog
Browse the Google Fonts catalog. Search by family substring or filter by category (`serif | sans-serif | display | handwriting | monospace`).
Query Parameters
search
optional
string
category
optional
string
limit
optional
number
offset
optional
number
Response Schema
GoogleFontsListResponse
itemsrequired
object[]
categoryrequired
string
familyrequired
string
filesrequired
Record<string, string>
Construct a type with a set of properties K of type T
kindoptional
string
lastModifiedrequired
string
menuoptional
string
subsetsrequired
string[]
variantsrequired
string[]
versionrequired
string
totalrequired
number
Example Response
200 OK — application/json
{
"total": 1,
"items": [
{
"family": "string",
"category": "string",
"variants": [
"string"
],
"subsets": [
"string"
],
"version": "string",
"lastModified": "string",
"files": {},
"kind": "string",
"menu": "string"
}
]
}